package com.interpress_project.modernshare.client.view.preference;

import org.eclipse.jface.preference.StringFieldEditor;
import org.eclipse.swt.widgets.Composite;

public class UsernameEditor extends StringFieldEditor {
	/**
	 * UsernameEditor
	 * @param arg0
	 * @param arg1
	 * @param arg2
	 */
	public UsernameEditor(String arg0, String arg1, Composite arg2) {
		super(arg0, arg1, arg2);
	}

	/**
	 * doCheckState
	 */
	protected boolean doCheckState() {
		return checkState();
	}

	/**
	 * checkState
	 */
	protected boolean checkState() {
		String val = this.getStringValue();
		if (val.equalsIgnoreCase("root")) {
			showErrorMessage("rootアカウントでの利用はできません。");
			return false;
		}
		if (val.length() == 0) {
			showErrorMessage("アカウント名を指定します。");
			return false;
		}
		showErrorMessage(null);
		return true;
	}
}
